# Get fee collections

Returns a list of fee collections.

Endpoint: GET /fees/collections
Version: 1.97.0
Security: oauth-client-credentials

## Header parameters:

  - `upvest-client-id` (string, required)
    Tenant Client ID
    Example: "363f3305-7ab0-4e82-a158-f9d382ad08b6"

  - `Authorization` (string, required)
    Bearer (access) token from the OAuth flow with correct scopes.
https://datatracker.ietf.org/doc/html/rfc6750
    Example: "Bearer c2VjcmV0Cg=="

  - `signature` (string, required)
    https://tools.ietf.org/id/draft-ietf-httpbis-message-signatures-01.html#name-the-signature-http-header

  - `signature-input` (string, required)
    https://tools.ietf.org/id/draft-ietf-httpbis-message-signatures-01.html#name-the-signature-input-http-he

  - `upvest-api-version` (string)
    Upvest API version (Note: Do not include quotation marks)
    Enum: "1"

## Query parameters:

  - `account_id` (string)
    Filters the list to show only fees associated with a specific account ID.
    Example: "413715f2-5401-4b97-8055-034a6b879f8c"

  - `account_group_id` (string)
    Filters the list to show only fees associated with a specific account group ID.
    Example: "72da9e41-9926-419f-976e-4c8069a04249"

  - `sort` (string)
    Field of resource to sort by.
    Enum: "created_at", "updated_at"

  - `order` (string)
    Sort order of the result list if the sort parameter is specified. Use ASC for ascending or DESC for descending sort order.
    Enum: "ASC", "DESC"

  - `offset` (integer)
    Use the offset argument to specify where in the list of results to start when returning items for a particular query.

  - `limit` (integer)
    Use the limit argument to specify the maximum number of items returned.

## Response 200 fields (application/json):

  - `meta` (object, required)

  - `meta.offset` (integer, required)
    Amount of resource to offset in the response.

  - `meta.limit` (integer, required)
    Total limit of the response.

  - `meta.count` (integer, required)
    Count of the resources returned in the response.

  - `meta.total_count` (integer, required)
    Total count of all the resources.

  - `meta.sort` (string)
    The field that the list is sorted by.

  - `meta.order` (string)
    The ordering of the response.
* ASC - Ascending order
* DESC - Descending order
    Enum: "ASC", "DESC"

  - `data` (array, required)

  - `data.id` (string, required)
    Fee collection unique identifier.

  - `data.account_id` (string, required)
    Account unique identifier.

  - `data.account_group_id` (string, required)
    Account group unique identifier.

  - `data.type` (string, required)
    Type of the fee collection
* SERVICE_FEE - Service fee intake in a pre-defined cadence (e.g. monthly)
* SERVICE_FEE_LIQUIDATION - Service fee intake as a result of a Portfolio liquidation
    Enum: "SERVICE_FEE", "SERVICE_FEE_LIQUIDATION"

  - `data.collection_amount` (string, required)

  - `data.processed_amount` (object, required)

  - `data.processed_amount.cash_balance` (string)

  - `data.processed_amount.sell_to_cover` (string)

  - `data.processed_amount.total_residual_amount` (string)

  - `data.currency` (string, required)
    Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro 
* GBP - Great British Pound
    Enum: "EUR", "GBP"

  - `data.status` (string, required)
    Status of the fee collection
* PROCESSING - Fee collection is in progress.
* FINALISED - Fees have been collected from the account and the funds has been transferred to the client.
* CANCELLED - Fee collection has been cancelled.
    Enum: "PROCESSING", "FINALISED", "CANCELLED"

  - `data.period_start` (string, required)
    Start date of the fee collection period in YYYY-MM-DD format. [RFC 3339, section 5.6](https://json-schema.org/draft/2020-12/json-schema-validation.html#RFC3339) RFC 3339

  - `data.period_end` (string, required)
    End date of the fee collection period in YYYY-MM-DD format. [RFC 3339, section 5.6](https://json-schema.org/draft/2020-12/json-schema-validation.html#RFC3339) RFC 3339

  - `data.created_at` (string, required)
    Date and time when the resource was created. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `data.updated_at` (string, required)
    Date and time when the resource was last updated. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `data.sell_to_cover_orders` (array)

  - `data.sell_to_cover_orders.id` (string, required)
    Sell to cover order id used to cover fee amount.

  - `data.sell_to_cover_orders.residual_amount` (string, required)

  - `data.calculation_breakdown` (array)
    Breakdown of the fee collection by fee model and subperiod. Populated only for fee collections created from daily fee model calculations.

  - `data.calculation_breakdown.fee_model_id` (string, required)
    Fee model unique identifier.

  - `data.calculation_breakdown.subperiod_start` (string, required)
    Start date of the fee subperiod in YYYY-MM-DD format. [RFC 3339, section 5.6](https://json-schema.org/draft/2020-12/json-schema-validation.html#RFC3339) RFC 3339

  - `data.calculation_breakdown.subperiod_end` (string, required)
    End date of the fee subperiod in YYYY-MM-DD format. [RFC 3339, section 5.6](https://json-schema.org/draft/2020-12/json-schema-validation.html#RFC3339) RFC 3339

  - `data.calculation_breakdown.subtotal_amount` (string, required)

  - `data.calculation_breakdown.components` (array, required)
    Individual fee components contributing to the subtotal.

  - `data.calculation_breakdown.components.type` (string, required)
    Type of the fee component
* TRANSACTION_LUMP_SUM - Lump sum transaction fee
* PLATFORM - Platform fee
* SERVICE - Service fee (client portfolio)
    Enum: "TRANSACTION_LUMP_SUM", "PLATFORM", "SERVICE"

  - `data.calculation_breakdown.components.amount` (string, required)

  - `data.replaced_collection_id` (string)
    Fee collection unique identifier.

## Response 400 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

## Response 401 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

## Response 403 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

## Response 406 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

## Response 429 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

## Response 500 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

## Response 503 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

## Response 504 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.


